import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for DeliveredBelegnummernResponse
void main() {
  final instance = DeliveredBelegnummernResponseBuilder();
  // TODO add properties to the builder and call build()

  group(DeliveredBelegnummernResponse, () {
    // Belegnummern aller **ausgelieferten** (abgeschlossenen) Lieferungen, deren Liefermail noch **nicht versendet** wurde, aufsteigend nach Abschluss-Zeitpunkt.
    // BuiltList<String> belegnummern
    test('to test the property `belegnummern`', () async {
      // TODO
    });

    // Anzahl der offenen (noch nicht versendeten) Belege.
    // int count
    test('to test the property `count`', () async {
      // TODO
    });

    // Tag, nach dem gefiltert wurde (ISO `YYYY-MM-DD`), oder `\"all\"` wenn kein `day` angegeben war.
    // String day
    test('to test the property `day`', () async {
      // TODO
    });

  });
}
